Package nl.tudelft.simulation.examples.dsol.timesharedcomputer

# Class Job

java.lang.Object
nl.tudelft.simulation.examples.dsol.timesharedcomputer.Job

    public class Job
    extends Object

The Computer job as published in Simulation Modeling and Analysis by A.M. Law & W.D. Kelton section 1.4 and 2.4.
Copyright (c) 2003-2019 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Author:
  Peter Jacobs

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Job​(DistContinuous serviceTimeDistribution, StationInterface source, double creationTime)` | constructs a new Job.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`double` | `getCreationTime()` | gets the creationTime of the Job
`StationInterface` | `getOwner()` | returns the source
`double` | `getServiceTime()` | returns the serviceTime
`void` | `setServiceTime​(double serviceTime)` | sets the serviceTime

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Job

public Job​(DistContinuous serviceTimeDistribution, StationInterface source, double creationTime)
constructs a new Job.

Parameters:
  `serviceTimeDistribution` - DistContinuous; the distribution from which to draw the serviceTime
  `source` - StationInterface; the source of the job
  `creationTime` - double; time of creation

## Method Details

### getCreationTime

public double getCreationTime()
gets the creationTime of the Job

Returns:
  double the time of creation

### getServiceTime

public double getServiceTime()
returns the serviceTime

Returns:
  double the time

### setServiceTime

public void setServiceTime​(double serviceTime)
sets the serviceTime

Parameters:
  `serviceTime` - double; the time

### getOwner

public StationInterface getOwner()
returns the source

Returns:
  StationInterface the owning terminal